#include "mbed.h"

DigitalIn input(p17);                                   //Set pin 17 as digital input "input"
Serial pc(USBTX, USBRX);                                //USB serial interface

int main() {                                    
    int pinlogic=0;                                     // set integer value "pinlogic" equal to zero
    pc.baud(921600);                                    //set baud rate
    
    while(1) {                                          //repeat indefinately
        pinlogic=input.read();                          //set "pinlogic" equal to the read value of "input"
        pc.printf("pinlogic: %d\r", pinlogic);          //display logic value of "input" in putty
    }
}
